View Issue Details

IDProjectCategoryView StatusLast Update
0000172Bacula-Webbug-phppublic2016-03-28 12:30
ReporterEric GriepsmaAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.0.2 
Target Version7.1.0Fixed in Version7.1.0 
Summary0000172: Sometimes we see negative 0.00 compression value in job view
DescriptionIn some case a negative -0.00 is given in the jobs screen.
Steps To Reproducenot sure.
Additional InformationI've fixed it by checking that the value is negative in the file jobs.php:

// Job compression
if ($job['jobbytes'] > 0 && $job['type'] == 'B') {
    $compression = (1-($job['jobbytes'] / $job['readbytes']));
//EG preventing negative zero
    if ($compression < 0) { $compression = 0; };
       $job['compression'] = number_format($compression, 2);
    } else {
       $job['compression'] = 'n/a';
                }
break;
TagsNo tags attached.

Activities

davide

2016-03-28 12:29

manager   ~0000513

This bug have been fixed by improving the code.

Fixed code will be availabel in next release (7.1.0)

Thanks for your commitment

Regards

Issue History

Date Modified Username Field Change
2015-07-06 13:57 Eric Griepsma New Issue
2016-03-21 13:59 davide Target Version => 7.1.0
2016-03-21 14:01 davide Assigned To => davide
2016-03-21 14:01 davide Status new => assigned
2016-03-21 14:01 davide Status assigned => acknowledged
2016-03-28 12:29 davide Note Added: 0000513
2016-03-28 12:29 davide Status acknowledged => resolved
2016-03-28 12:29 davide Fixed in Version => 7.1.0
2016-03-28 12:29 davide Resolution open => fixed
2016-03-28 12:30 davide Category bug/design => bug-php